# React Util Hooks

A collection of utility hooks for React that leverage browser APIs to enhance your application with minimal effort.

## Features

- **`useBatteryDetails`**  
  Provides detailed battery status, including charge level, charging status, and time to full/empty.

- **`useGeolocationDetails`**  
  Fetches the user's geolocation details, including latitude, longitude, and other related information.

- **`useSpeechSynthesis`**  
  Enables text-to-speech functionality with adjustable pitch, rate, volume, and voice selection.

- **`usePlatformDetails`**  
  Retrieves platform-specific information such as user agent, browser language, and online status.

- **`useClipBoardDetails`**  
  Allows interaction with the clipboard, enabling copying text to the clipboard and reading clipboard content with built-in state tracking.
  
## Installation

```bash
npm install react-extended-hooks
```

## Peer Dependencies

Ensure the following peer dependencies are installed in your project:

- `react`
- `react-dom`
- `lodash`

You can install them using:

```bash
npm install react react-dom lodash
```

## Documentation

Comprehensive documentation and usage examples are available at:  
[https://react-extended-hooks-storybook.vercel.app/](https://react-extended-hooks-storybook.vercel.app/)

---

Contributions and feedback are welcome! 🚀
